> ## Documentation Index
> Fetch the complete documentation index at: https://doc.lucidworks.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Update an entity



## OpenAPI

````yaml /api-reference/4.2/service-groups.json put /groups/{id}
openapi: 3.0.0
info:
  version: 4.2.6-rc1
  title: Fusion Service groups
servers:
  - url: /api/apollo/
security: []
tags:
  - name: groups
paths:
  /groups/{id}:
    put:
      tags:
        - 4.2 Groups API
      summary: Update an entity
      operationId: updateEntity
      parameters:
        - name: id
          in: path
          description: The entity ID
          required: true
          schema:
            type: string
        - name: If-Match
          in: header
          description: An entity tag to match
          required: false
          schema:
            type: string
            default: '"-1"'
      requestBody:
        $ref: '#/components/requestBodies/ObjectGroup'
      responses:
        '200':
          description: successful operation
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Entity'
components:
  requestBodies:
    ObjectGroup:
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ObjectGroup'
      description: JSON-formatted configuration values
  schemas:
    Entity:
      type: object
      properties:
        id:
          type: string
    ObjectGroup:
      type: object
      properties:
        id:
          type: string
          readOnly: true
        name:
          type: string
          readOnly: true
        isSystem:
          type: boolean
          readOnly: true
          default: false
        description:
          type: string
          readOnly: true

````